GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "03be5bae-c11e-4c7d-9081-4fca63c88b74",
"private_locations": [
{
"private_location_id": "2b0325c6-6cbf-481f-96b9-9b0beb68754e",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "0db4a062-bd92-461c-ba97-e9ce54e888ef"
},
{
"private_location_id": "d1c9f943-e543-496b-867f-aad3b3d5edd4",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "6d7aa220-ad79-4deb-9486-ccef16289ee4"
},
{
"private_location_id": "950462e5-736d-46eb-805e-5105fb3014d7",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "0076e468-0b8d-4d87-bb4a-295ce3625993"
}
]
},
{
"access_group": "2a8da98a-a759-4a77-a248-cefe43390fb6",
"private_locations": [
{
"private_location_id": "d1c9f943-e543-496b-867f-aad3b3d5edd4",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "6d7aa220-ad79-4deb-9486-ccef16289ee4"
},
{
"private_location_id": "950462e5-736d-46eb-805e-5105fb3014d7",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "0076e468-0b8d-4d87-bb4a-295ce3625993"
},
{
"private_location_id": "950462e5-736d-46eb-805e-5105fb3014d7",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "0076e468-0b8d-4d87-bb4a-295ce3625993"
}
]
},
{
"access_group": "7f6960ad-22ab-47d5-adab-d6e3c6d06e5a",
"private_locations": [
{
"private_location_id": "d1c9f943-e543-496b-867f-aad3b3d5edd4",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "6d7aa220-ad79-4deb-9486-ccef16289ee4"
},
{
"private_location_id": "950462e5-736d-46eb-805e-5105fb3014d7",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "0076e468-0b8d-4d87-bb4a-295ce3625993"
},
{
"private_location_id": "2b0325c6-6cbf-481f-96b9-9b0beb68754e",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "0db4a062-bd92-461c-ba97-e9ce54e888ef"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid |
Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object |
A list of private location details. |
| PrivateLocationId | Guid |
Unique identifier for the private location. |
| Enabled | Boolean |
Indicates whether the private location is enabled. |
| Geoloc | String |
Geographical location of the private location. |
| CustomerGuid | Guid |
Customer identifier associated with the private location. |